
//Titel:        InetAddress mit "x.y.z.u" als Hostname
//Version:      
//Copyright:    Copyright (c) 1999
//Autor:       J.M.Joller
//Firma:      Joller-Voss GmbH
//Beschreibung:  Abfrage eines Hosts und Bestimmen dessen Adresse mit Hilfe der IP Adresse in String Form, da der Hostname fehlt.
package Beispiel42;
import java.net.*;
class Beispiel42 {
  public static void main (String args[]) {

    try {
      InetAddress address = InetAddress.getByName("204.29.207.217");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Konnte die Adresse 204.29.207.217 nicht finden!");
    }
    try {
      InetAddress address = InetAddress.getByName("127.0.0.0");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Konnte die Adresse 127.0.0.0 nicht finden!");
    }

    try {
      InetAddress address = InetAddress.getByName("127.0.0.1");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Konnte die Adresse 127.0.0.1 nicht finden!");
    }
  }

}
