package inetaddressbyname;

import java.net.*;
/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class InetAddressByName {

  public static void main (String args[]) {

    String strInetAddress = "www.switch.ch";
    try {
      InetAddress address = InetAddress.getByName(strInetAddress);
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Der Host '"+strInetAddress+"' konnte nicht gefunden werden.");
    }
    try {
      InetAddress address = InetAddress.getByName("localhost");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Der Host 'localhost' konnte nicht gefunden werden!");
    }
    try {
      InetAddress address = InetAddress.getByName("ztnw293.hta.fhz.ch");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Der Host 'ztnw293.hta.fhz.ch' konnte nicht gefunden werden!");
    }
    try {
      InetAddress address = InetAddress.getByName("62.2.88.96");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Der Host '62.2.88.96' konnte nicht gefunden werden!");
    }
    try {
      InetAddress address = InetAddress.getByName("147.88.74.117");
      System.out.println(address);
    }
    catch (UnknownHostException e) {
      System.out.println("Der Host '147.88.74.117' konnte nicht gefunden werden!");
    }
  }
}
